summaryrefslogtreecommitdiff
path: root/dev-python/jupyterlab
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-07-22 05:50:58 +0200
committerMichał Górny <mgorny@gentoo.org>2026-07-22 06:28:50 +0200
commit88736b106406ffd1606686d98165ce7a7d6dbcbc (patch)
tree78732e64e6914bd2f358285aa66e1a7eff943469 /dev-python/jupyterlab
parentaf86940c9de270a3434919a6a12512d406f133c3 (diff)
dev-python/jupyterlab: Bump to 4.6.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/jupyterlab')
-rw-r--r--dev-python/jupyterlab/Manifest1
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.6.2.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 4feb67bceac7..85463eda00af 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -3,3 +3,4 @@ DIST jupyterlab-4.5.10.tar.gz 23998879 BLAKE2B afce3426f0f8ba029e8667e6a487a5fd6
DIST jupyterlab-4.5.8.tar.gz 23994076 BLAKE2B 6a42c5892bd1e89c19c7acf7d92a91abebe79c2b4246a99495ef04b1c4357a7d8cdfe22b3e67a382672c86efe52438009624d74714fd709295f541888068dbd1 SHA512 d6341b649299aada9be6d50169a18c9e0c300de76f9306582155e3592c560aa3c16d148942404e87c0d9706c28da8b0ba7305d026b1c9e3bc3b954760f7c6da1
DIST jupyterlab-4.5.9.tar.gz 23994445 BLAKE2B 242a2d519bcf89b232b895c40fa45d752677d1f4321026037ebad418ffd0fb2dc07da07cb3d2d65a0b14142ae4fe65ef7e842891350d1e2102166001d534648e SHA512 b78ecb0f0ea1cc709fc4398d5d9a180ef4d235d5e6d45739deee88c6e7c06c28e3d15295b7abda144c5f8a5a847cbef70e2f02078bac0e2432b7bda0e387ce5e
DIST jupyterlab-4.6.1.tar.gz 28179125 BLAKE2B f8be7447f1e61a50953717073ce1cb11c1f555cb1480ad4c8dc1a366a6d7b9c1664aeff175372472413801f98ef1e507f99267cbfb1e8630bccfa786978d4e32 SHA512 c30262833f8ed4b5f646dbee1ddcb6dfa1f7582302488f41c0f5c77f60b1c1d2be31b60c5d1b29825516cf52d749d7b7cfe44be4b571d8ff4250a4fd5d5b8006
+DIST jupyterlab-4.6.2.tar.gz 28183650 BLAKE2B 046f1b8a481590d373f474fe41aaf524f8d2f8ac3bd618559dcb824f24a33b575e610a7dd29df0e541bfd54db5ddd266984274dacfb2059eb52940cefe7f82d5 SHA512 308965ba875d2b9667046f35b4fd0214c0d01b48cbfdeda0b79b90d30f63522cf872602016e6b9cf9ed66e791f0056b633d0a960c816635a5a679dd264d9bbc6
diff --git a/dev-python/jupyterlab/jupyterlab-4.6.2.ebuild b/dev-python/jupyterlab/jupyterlab-4.6.2.ebuild
new file mode 100644
index 000000000000..75f950932d74
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.6.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/async-lru-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-builder[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.19.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs[npm]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,tornasync,timeout} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}